org.apache.hadoop.yarn.nodelabels

## Interface AttributeValue

- All Known Implementing Classes:
    StringAttributeValue

      public interface AttributeValue

  Interface to capture operations on AttributeValue.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compareForOperation(AttributeValue other, AttributeExpressionOperation op)` compare the value against the other based on the AttributeExpressionOperation.
    `String` | `getValue()`
    `void` | `validateAndInitializeValue(String value)` validate the value based on the type and initialize for further compare operations.

- - ### Method Detail

    - #### getValue

          String getValue()

      Returns:
        original value which was set.

    - #### validateAndInitializeValue

          void validateAndInitializeValue(String value)
                                   throws IOException

      validate the value based on the type and initialize for further compare operations.
      Parameters:
        `value` -
      Throws:
        `IOException`

    - #### compareForOperation

          boolean compareForOperation(AttributeValue other,
                                      AttributeExpressionOperation op)

      compare the value against the other based on the AttributeExpressionOperation.
      Parameters:
        `other` -
        `op` -
      Returns:
        true if value `other` matches the current value for the operation `op`.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.